SuccessConsole Output

[workspace] Running shell script
+ mvn clean package
[INFO] Scanning for projects...
[WARNING] 
[WARNING] Some problems were encountered while building the effective model for net.sansa-stack:sansa-inference-common_2.11:jar:0.4.1-SNAPSHOT
[WARNING] 'artifactId' contains an expression but should be a constant. @ net.sansa-stack:sansa-inference-common_${scala.binary.version}:0.4.1-SNAPSHOT, /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/pom.xml, line 11, column 15
[WARNING] 
[WARNING] Some problems were encountered while building the effective model for net.sansa-stack:sansa-inference-flink_2.11:jar:0.4.1-SNAPSHOT
[WARNING] 'artifactId' contains an expression but should be a constant. @ net.sansa-stack:sansa-inference-flink_${scala.binary.version}:0.4.1-SNAPSHOT, /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-flink/pom.xml, line 30, column 14
[WARNING] The expression ${parent.version} is deprecated. Please use ${project.parent.version} instead.
[WARNING] The expression ${parent.version} is deprecated. Please use ${project.parent.version} instead.
[WARNING] 
[WARNING] Some problems were encountered while building the effective model for net.sansa-stack:sansa-inference-spark_2.11:jar:0.4.1-SNAPSHOT
[WARNING] 'artifactId' contains an expression but should be a constant. @ net.sansa-stack:sansa-inference-spark_${scala.binary.version}:0.4.1-SNAPSHOT, /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/pom.xml, line 11, column 17
[WARNING] 
[WARNING] Some problems were encountered while building the effective model for net.sansa-stack:sansa-inference-tests_2.11:jar:0.4.1-SNAPSHOT
[WARNING] 'artifactId' contains an expression but should be a constant. @ net.sansa-stack:sansa-inference-tests_${scala.binary.version}:0.4.1-SNAPSHOT, /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-tests/pom.xml, line 11, column 15
[WARNING] The expression ${parent.version} is deprecated. Please use ${project.parent.version} instead.
[WARNING] 
[WARNING] It is highly recommended to fix these problems because they threaten the stability of your build.
[WARNING] 
[WARNING] For this reason, future Maven versions might no longer support building such malformed projects.
[WARNING] 
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Build Order:
[INFO] 
[INFO] Inference API - Parent
[INFO] Inference API - Common
[INFO] Inference API - Tests
[INFO] Inference API - Flink
[INFO] Inference API - Spark
[INFO] 
[INFO] Using the builder org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder with a thread count of 1
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building Inference API - Parent 0.4.1-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ sansa-inference-parent_2.11 ---
[INFO] 
[INFO] --- maven-enforcer-plugin:3.0.0-M1:enforce (enforce-versions) @ sansa-inference-parent_2.11 ---
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building Inference API - Common 0.4.1-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ sansa-inference-common_2.11 ---
[INFO] Deleting /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/target
[INFO] 
[INFO] --- maven-enforcer-plugin:3.0.0-M1:enforce (enforce-versions) @ sansa-inference-common_2.11 ---
[INFO] 
[INFO] --- maven-resources-plugin:3.0.2:resources (default-resources) @ sansa-inference-common_2.11 ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 7 resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.7.0:compile (default-compile) @ sansa-inference-common_2.11 ---
[INFO] No sources to compile
[INFO] 
[INFO] --- scala-maven-plugin:3.3.1:compile (default) @ sansa-inference-common_2.11 ---
[WARNING] Zinc server is not available at port 3030 - reverting to normal incremental compile
[INFO] Using incremental compilation
[WARNING] Pruning sources from previous analysis, due to incompatible CompileSetup.
[INFO] Compiling 61 Scala sources to /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/target/classes...
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/src/main/scala/scalax/collection/connectivity/GraphComponents.scala:179: abstract type pattern GraphComponents.this.g.NodeT is unchecked since it is eliminated by erasure
[WARNING]       for (v: g.NodeT <- n.diSuccessors) {
[WARNING]                 ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/src/main/scala/scalax/collection/connectivity/GraphComponents.scala:204: abstract type pattern GraphComponents.this.g.NodeT is unchecked since it is eliminated by erasure
[WARNING]     for (n: g.NodeT <- g.nodes if (discovery.get(n) == None)) {
[WARNING]               ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/src/main/scala/scalax/collection/connectivity/GraphComponents.scala:20: higher-kinded type should be enabled
by making the implicit value scala.language.higherKinds visible.
This can be achieved by adding the import clause 'import scala.language.higherKinds'
or by setting the compiler option -language:higherKinds.
See the Scaladoc for value scala.language.higherKinds for a discussion
why the feature should be explicitly enabled.
[WARNING] final class GraphComponents[N, E[X] <: EdgeLikeIn[X]](
[WARNING]                                ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/src/main/scala/scalax/collection/connectivity/GraphComponents.scala:217: higher-kinded type should be enabled
by making the implicit value scala.language.higherKinds visible.
[WARNING]   implicit def graphToComponents[N: ClassTag, E[X] <: EdgeLikeIn[X]](g: Graph[N, E]): GraphComponents[N, E] =
[WARNING]                                               ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/src/main/scala/scalax/collection/connectivity/GraphComponents.scala:217: implicit conversion method graphToComponents should be enabled
by making the implicit value scala.language.implicitConversions visible.
This can be achieved by adding the import clause 'import scala.language.implicitConversions'
or by setting the compiler option -language:implicitConversions.
See the Scaladoc for value scala.language.implicitConversions for a discussion
why the feature should be explicitly enabled.
[WARNING]   implicit def graphToComponents[N: ClassTag, E[X] <: EdgeLikeIn[X]](g: Graph[N, E]): GraphComponents[N, E] =
[WARNING]                ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/src/main/scala/net/sansa_stack/inference/data/SimpleRDFOps.scala:32: unreachable code
[WARNING]         case bnode: SimpleRDF#BNode => funBNode(bnode)
[WARNING]                                                ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/src/main/scala/net/sansa_stack/inference/rules/RuleDependencyGraphGenerator.scala:237: class CycleDetector in package alg is deprecated: see corresponding Javadoc for more information.
[WARNING]     val cycleDetector = new CycleDetector[Rule, LabeledEdge[Rule, TriplePattern]](g)
[WARNING]                             ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/src/main/scala/net/sansa_stack/inference/rules/minimizer/RuleDependencyGraphMinimizer.scala:285: class CycleDetector in package alg is deprecated: see corresponding Javadoc for more information.
[WARNING]         val cycleDetector = new CycleDetector[Rule, LabeledEdge[Rule, TriplePattern]](g)
[WARNING]                                 ^
[WARNING] 8 warnings found
[INFO] 
[INFO] --- maven-resources-plugin:3.0.2:testResources (default-testResources) @ sansa-inference-common_2.11 ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/src/test/resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.7.0:testCompile (default-testCompile) @ sansa-inference-common_2.11 ---
[INFO] No sources to compile
[INFO] 
[INFO] --- scala-maven-plugin:3.3.1:testCompile (default) @ sansa-inference-common_2.11 ---
[WARNING] Zinc server is not available at port 3030 - reverting to normal incremental compile
[INFO] Using incremental compilation
[WARNING] Pruning sources from previous analysis, due to incompatible CompileSetup.
[INFO] Compiling 1 Scala source to /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/target/test-classes...
[INFO] 
[INFO] --- maven-surefire-plugin:2.20.1:test (default-test) @ sansa-inference-common_2.11 ---
[INFO] 
[INFO] -------------------------------------------------------
[INFO]  T E S T S
[INFO] -------------------------------------------------------
[INFO] 
[INFO] Results:
[INFO] 
[INFO] Tests run: 0, Failures: 0, Errors: 0, Skipped: 0
[INFO] 
[INFO] 
[INFO] --- maven-jar-plugin:2.4:jar (default-jar) @ sansa-inference-common_2.11 ---
[INFO] Building jar: /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-common/target/sansa-inference-common_2.11-0.4.1-SNAPSHOT.jar
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building Inference API - Tests 0.4.1-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ sansa-inference-tests_2.11 ---
[INFO] Deleting /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-tests/target
[INFO] 
[INFO] --- maven-enforcer-plugin:3.0.0-M1:enforce (enforce-versions) @ sansa-inference-tests_2.11 ---
[INFO] 
[INFO] --- maven-resources-plugin:3.0.2:resources (default-resources) @ sansa-inference-tests_2.11 ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-tests/src/main/resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.7.0:compile (default-compile) @ sansa-inference-tests_2.11 ---
[INFO] No sources to compile
[INFO] 
[INFO] --- scala-maven-plugin:3.3.1:compile (default) @ sansa-inference-tests_2.11 ---
[INFO] No sources to compile
[INFO] 
[INFO] --- maven-resources-plugin:3.0.2:testResources (default-testResources) @ sansa-inference-tests_2.11 ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 1343 resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.7.0:testCompile (default-testCompile) @ sansa-inference-tests_2.11 ---
[INFO] Changes detected - recompiling the module!
[INFO] Compiling 1 source file to /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-tests/target/test-classes
[INFO] 
[INFO] --- scala-maven-plugin:3.3.1:testCompile (default) @ sansa-inference-tests_2.11 ---
[WARNING] Zinc server is not available at port 3030 - reverting to normal incremental compile
[INFO] Using incremental compilation
[WARNING] Pruning sources from previous analysis, due to incompatible CompileSetup.
[INFO] Compiling 5 Scala sources and 1 Java source to /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-tests/target/test-classes...
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.filesystems.declmime.MIMEResolverProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_6' from annotation processor 'org.netbeans.modules.openide.util.NbBundleProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.util.ServiceProviderProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.util.NamedServiceProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.awt.ActionProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.intent.OpenUriHandlerProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.loaders.DataObjectFactoryProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.editor.mimelookup.CreateRegistrationProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.templates.TemplateProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.nodes.NodesAnnotationProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.windows.TopComponentProcessor' less than -source '1.8'
[WARNING] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.api.annotations.common.proc.StaticResourceProcessor' less than -source '1.8'
[WARNING] 12 warnings
[INFO] 
[INFO] --- maven-surefire-plugin:2.20.1:test (default-test) @ sansa-inference-tests_2.11 ---
[INFO] 
[INFO] -------------------------------------------------------
[INFO]  T E S T S
[INFO] -------------------------------------------------------
[INFO] 
[INFO] Results:
[INFO] 
[INFO] Tests run: 0, Failures: 0, Errors: 0, Skipped: 0
[INFO] 
[INFO] 
[INFO] --- maven-jar-plugin:2.4:jar (default-jar) @ sansa-inference-tests_2.11 ---
[INFO] Building jar: /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-tests/target/sansa-inference-tests_2.11-0.4.1-SNAPSHOT.jar
[INFO] 
[INFO] --- maven-jar-plugin:2.4:test-jar (default) @ sansa-inference-tests_2.11 ---
[INFO] Building jar: /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-tests/target/sansa-inference-tests_2.11-0.4.1-SNAPSHOT-tests.jar
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building Inference API - Flink 0.4.1-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ sansa-inference-flink_2.11 ---
[INFO] Deleting /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-flink/target
[INFO] 
[INFO] --- maven-enforcer-plugin:3.0.0-M1:enforce (enforce-versions) @ sansa-inference-flink_2.11 ---
[INFO] 
[INFO] --- build-helper-maven-plugin:3.0.0:add-source (add-source) @ sansa-inference-flink_2.11 ---
[INFO] Source directory: /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-flink/src/main/scala added.
[INFO] 
[INFO] --- maven-resources-plugin:3.0.2:resources (default-resources) @ sansa-inference-flink_2.11 ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 2 resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.7.0:compile (default-compile) @ sansa-inference-flink_2.11 ---
[INFO] Nothing to compile - all classes are up to date
[INFO] 
[INFO] --- scala-maven-plugin:3.3.1:compile (default) @ sansa-inference-flink_2.11 ---
[WARNING]  Expected all dependencies to require Scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-inference-common_2.11:0.4.1-SNAPSHOT requires scala version: 2.11.8
[WARNING]  org.scala-graph:graph-core_2.11:1.12.5 requires scala version: 2.11.8
[WARNING]  org.scala-graph:graph-dot_2.11:1.11.5 requires scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-inference-tests_2.11:0.4.1-SNAPSHOT requires scala version: 2.11.8
[WARNING]  org.scala-lang:scala-reflect:2.11.12 requires scala version: 2.11.8
[WARNING]  org.apache.flink:flink-scala_2.11:1.5.0 requires scala version: 2.11.8
[WARNING]  org.apache.flink:flink-scala_2.11:1.5.0 requires scala version: 2.11.12
[WARNING] Multiple versions of scala libraries detected!
[WARNING] Zinc server is not available at port 3030 - reverting to normal incremental compile
[INFO] Using incremental compilation
[WARNING] Pruning sources from previous analysis, due to incompatible CompileSetup.
[INFO] Compiling 12 Scala sources to /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-flink/target/classes...
[INFO] 
[INFO] --- build-helper-maven-plugin:3.0.0:add-test-source (add-test-source) @ sansa-inference-flink_2.11 ---
[INFO] Test Source directory: /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-flink/src/test/scala added.
[INFO] 
[INFO] --- maven-resources-plugin:3.0.2:testResources (default-testResources) @ sansa-inference-flink_2.11 ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 2 resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.7.0:testCompile (default-testCompile) @ sansa-inference-flink_2.11 ---
[INFO] Nothing to compile - all classes are up to date
[INFO] 
[INFO] --- scala-maven-plugin:3.3.1:testCompile (default) @ sansa-inference-flink_2.11 ---
[WARNING]  Expected all dependencies to require Scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-inference-common_2.11:0.4.1-SNAPSHOT requires scala version: 2.11.8
[WARNING]  org.scala-graph:graph-core_2.11:1.12.5 requires scala version: 2.11.8
[WARNING]  org.scala-graph:graph-dot_2.11:1.11.5 requires scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-inference-tests_2.11:0.4.1-SNAPSHOT requires scala version: 2.11.8
[WARNING]  org.scala-lang:scala-reflect:2.11.12 requires scala version: 2.11.8
[WARNING]  org.apache.flink:flink-scala_2.11:1.5.0 requires scala version: 2.11.8
[WARNING]  org.apache.flink:flink-scala_2.11:1.5.0 requires scala version: 2.11.12
[WARNING] Multiple versions of scala libraries detected!
[WARNING] Zinc server is not available at port 3030 - reverting to normal incremental compile
[INFO] Using incremental compilation
[WARNING] Pruning sources from previous analysis, due to incompatible CompileSetup.
[INFO] Compiling 9 Scala sources to /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-flink/target/test-classes...
[INFO] 
[INFO] --- maven-surefire-plugin:2.20.1:test (default-test) @ sansa-inference-flink_2.11 ---
[INFO] Tests are skipped.
[INFO] 
[INFO] --- maven-jar-plugin:2.4:jar (default-jar) @ sansa-inference-flink_2.11 ---
[INFO] Building jar: /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-flink/target/sansa-inference-flink_2.11-0.4.1-SNAPSHOT.jar
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building Inference API - Spark 0.4.1-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[WARNING] The POM for commons-codec:commons-codec:jar:1.9-SNAPSHOT is missing, no dependency information available
[WARNING] The POM for commons-codec:commons-codec:jar:1.10-SNAPSHOT is missing, no dependency information available
[INFO] 
[INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ sansa-inference-spark_2.11 ---
[INFO] Deleting /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/target
[INFO] 
[INFO] --- maven-enforcer-plugin:3.0.0-M1:enforce (enforce-versions) @ sansa-inference-spark_2.11 ---
[INFO] 
[INFO] --- build-helper-maven-plugin:3.0.0:add-source (add-source) @ sansa-inference-spark_2.11 ---
[INFO] Source directory: /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/main/scala added.
[INFO] 
[INFO] --- maven-resources-plugin:3.0.2:resources (default-resources) @ sansa-inference-spark_2.11 ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/target/core-resources
[INFO] Copying 9 resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.7.0:compile (default-compile) @ sansa-inference-spark_2.11 ---
[INFO] Nothing to compile - all classes are up to date
[INFO] 
[INFO] --- scala-maven-plugin:3.3.1:compile (default) @ sansa-inference-spark_2.11 ---
[WARNING]  Expected all dependencies to require Scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-inference-common_2.11:0.4.1-SNAPSHOT requires scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-inference-tests_2.11:0.4.1-SNAPSHOT requires scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-rdf-common_2.11:0.4.0 requires scala version: 2.11.8
[WARNING]  org.scalanlp:breeze_2.11:0.13.2 requires scala version: 2.11.8
[WARNING]  org.scalanlp:breeze-macros_2.11:0.13.2 requires scala version: 2.11.8
[WARNING]  org.spire-math:spire_2.11:0.13.0 requires scala version: 2.11.8
[WARNING]  org.spire-math:spire-macros_2.11:0.13.0 requires scala version: 2.11.8
[WARNING]  org.typelevel:machinist_2.11:0.6.1 requires scala version: 2.11.8
[WARNING]  org.apache.spark:spark-streaming_2.11:2.3.1 requires scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-rdf-spark_2.11:0.4.0 requires scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-inference-spark_2.11:0.4.1-SNAPSHOT requires scala version: 2.11.8
[WARNING]  com.twitter:chill_2.11:0.8.4 requires scala version: 2.11.8
[WARNING]  org.apache.spark:spark-core_2.11:2.3.1 requires scala version: 2.11.8
[WARNING]  org.json4s:json4s-jackson_2.11:3.2.11 requires scala version: 2.11.8
[WARNING]  org.json4s:json4s-core_2.11:3.2.11 requires scala version: 2.11.8
[WARNING]  org.json4s:json4s-ast_2.11:3.2.11 requires scala version: 2.11.8
[WARNING]  org.json4s:json4s-core_2.11:3.2.11 requires scala version: 2.11.0
[WARNING] Multiple versions of scala libraries detected!
[WARNING] Zinc server is not available at port 3030 - reverting to normal incremental compile
[INFO] Using incremental compilation
[WARNING] Pruning sources from previous analysis, due to incompatible CompileSetup.
[INFO] Compiling 52 Scala sources to /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/target/classes...
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/main/scala/net/sansa_stack/inference/spark/backwardchaining/BackwardChainingReasonerDataframe.scala:38: implicit conversion method resourceToNodeConverter should be enabled
by making the implicit value scala.language.implicitConversions visible.
This can be achieved by adding the import clause 'import scala.language.implicitConversions'
or by setting the compiler option -language:implicitConversions.
See the Scaladoc for value scala.language.implicitConversions for a discussion
why the feature should be explicitly enabled.
[WARNING]   private implicit def resourceToNodeConverter(resource: Resource): Node = resource.asNode()
[WARNING]                        ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/main/scala/net/sansa_stack/inference/spark/backwardchaining/BackwardChainingReasonerDataset.scala:32: implicit conversion method resourceToNodeConverter should be enabled
by making the implicit value scala.language.implicitConversions visible.
[WARNING]   private implicit def resourceToNodeConverter(resource: Resource): Node = resource.asNode()
[WARNING]                        ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/main/scala/net/sansa_stack/inference/spark/utils/NTriplesToParquetConverter.scala:5: imported `RDFTriple' is permanently hidden by definition of object RDFTriple in package utils
[WARNING] import net.sansa_stack.inference.spark.utils.RDFTriple
[WARNING]                                              ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/main/scala/net/sansa_stack/inference/spark/utils/NTriplesToParquetConverter.scala:22: implicit conversion method pathURIsConverter should be enabled
by making the implicit value scala.language.implicitConversions visible.
[WARNING]   private implicit def pathURIsConverter(uris: Seq[URI]): String = uris.map(p => p.toString).mkString(",")
[WARNING]                        ^
[WARNING] four warnings found
[INFO] 
[INFO] --- build-helper-maven-plugin:3.0.0:add-test-source (add-test-source) @ sansa-inference-spark_2.11 ---
[INFO] Test Source directory: /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/test/scala added.
[INFO] 
[INFO] --- maven-resources-plugin:3.0.2:testResources (default-testResources) @ sansa-inference-spark_2.11 ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 6 resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.7.0:testCompile (default-testCompile) @ sansa-inference-spark_2.11 ---
[INFO] Nothing to compile - all classes are up to date
[INFO] 
[INFO] --- scala-maven-plugin:3.3.1:testCompile (default) @ sansa-inference-spark_2.11 ---
[WARNING]  Expected all dependencies to require Scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-inference-common_2.11:0.4.1-SNAPSHOT requires scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-inference-tests_2.11:0.4.1-SNAPSHOT requires scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-rdf-common_2.11:0.4.0 requires scala version: 2.11.8
[WARNING]  org.scalanlp:breeze_2.11:0.13.2 requires scala version: 2.11.8
[WARNING]  org.scalanlp:breeze-macros_2.11:0.13.2 requires scala version: 2.11.8
[WARNING]  org.spire-math:spire_2.11:0.13.0 requires scala version: 2.11.8
[WARNING]  org.spire-math:spire-macros_2.11:0.13.0 requires scala version: 2.11.8
[WARNING]  org.typelevel:machinist_2.11:0.6.1 requires scala version: 2.11.8
[WARNING]  org.apache.spark:spark-streaming_2.11:2.3.1 requires scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-rdf-spark_2.11:0.4.0 requires scala version: 2.11.8
[WARNING]  net.sansa-stack:sansa-inference-spark_2.11:0.4.1-SNAPSHOT requires scala version: 2.11.8
[WARNING]  com.twitter:chill_2.11:0.8.4 requires scala version: 2.11.8
[WARNING]  org.apache.spark:spark-core_2.11:2.3.1 requires scala version: 2.11.8
[WARNING]  org.json4s:json4s-jackson_2.11:3.2.11 requires scala version: 2.11.8
[WARNING]  org.json4s:json4s-core_2.11:3.2.11 requires scala version: 2.11.8
[WARNING]  org.json4s:json4s-ast_2.11:3.2.11 requires scala version: 2.11.8
[WARNING]  org.json4s:json4s-core_2.11:3.2.11 requires scala version: 2.11.0
[WARNING] Multiple versions of scala libraries detected!
[WARNING] Zinc server is not available at port 3030 - reverting to normal incremental compile
[INFO] Using incremental compilation
[WARNING] Pruning sources from previous analysis, due to incompatible CompileSetup.
[INFO] Compiling 17 Scala sources to /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/target/test-classes...
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/test/scala/net/sansa_stack/inference/spark/DatastructureSerializationPerformanceTests.scala:29: implicit conversion method rowToTriple should be enabled
by making the implicit value scala.language.implicitConversions visible.
This can be achieved by adding the import clause 'import scala.language.implicitConversions'
or by setting the compiler option -language:implicitConversions.
See the Scaladoc for value scala.language.implicitConversions for a discussion
why the feature should be explicitly enabled.
[WARNING]   implicit def rowToTriple(row: Row): Triple = Triple.create(row.getAs[Node](0), row.getAs[Node](1), row.getAs[Node](2))
[WARNING]                ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/test/scala/net/sansa_stack/inference/spark/DatastructureSerializationPerformanceTests.scala:120: implicit conversion method toEncoded should be enabled
by making the implicit value scala.language.implicitConversions visible.
[WARNING]     implicit def toEncoded(t: Triple): JenaTripleEncoded = (t.getSubject, t.getPredicate, t.getObject)
[WARNING]                  ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/test/scala/net/sansa_stack/inference/spark/DatastructureSerializationPerformanceTests.scala:121: implicit conversion method fromEncoded should be enabled
by making the implicit value scala.language.implicitConversions visible.
[WARNING]     implicit def fromEncoded(e: JenaTripleEncoded): Triple = Triple.create(e._1, e._2, e._3)
[WARNING]                  ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/test/scala/net/sansa_stack/inference/spark/misc/TripleLoading.scala:19: implicit conversion method toEncoded should be enabled
by making the implicit value scala.language.implicitConversions visible.
[WARNING]   implicit def toEncoded(t: Triple): JenaTripleEncoded = (t.getSubject, t.getPredicate, t.getObject)
[WARNING]                ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/test/scala/net/sansa_stack/inference/spark/misc/TripleLoading.scala:20: implicit conversion method fromEncoded should be enabled
by making the implicit value scala.language.implicitConversions visible.
[WARNING]   implicit def fromEncoded(e: JenaTripleEncoded): Triple = Triple.create(e._1, e._2, e._3)
[WARNING]                ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/test/scala/net/sansa_stack/inference/spark/misc/TripleLoading.scala:33: implicit conversion method rowToTriple should be enabled
by making the implicit value scala.language.implicitConversions visible.
[WARNING]   implicit def rowToTriple(row: Row): Triple = Triple.create(row.getAs[Node](0), row.getAs[Node](1), row.getAs[Node](2))
[WARNING]                ^
[WARNING] /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/src/test/scala/net/sansa_stack/inference/spark/forwardchaining/triples/ForwardRuleReasonerELTest.scala:624: method source in class RDFParserBuilder is deprecated: see corresponding Javadoc for more information.
[WARNING]     val parser = RDFParser.create().source(
[WARNING]                                     ^
[WARNING] 7 warnings found
[INFO] 
[INFO] --- maven-surefire-plugin:2.20.1:test (default-test) @ sansa-inference-spark_2.11 ---
[INFO] Tests are skipped.
[INFO] 
[INFO] --- scalatest-maven-plugin:2.0.0:test (test) @ sansa-inference-spark_2.11 ---
Discovery starting.
Discovery completed in 46 milliseconds.
Run starting. Expected test count is: 0
DiscoverySuite:
Run completed in 103 milliseconds.
Total number of tests run: 0
Suites: completed 1, aborted 0
Tests: succeeded 0, failed 0, canceled 0, ignored 0, pending 0
No tests were executed.
[INFO] 
[INFO] --- maven-jar-plugin:2.4:jar (default-jar) @ sansa-inference-spark_2.11 ---
[INFO] Building jar: /usr/share/tomcat6/.jenkins/jobs/SANSA Inference Pipeline/branches/develop/workspace/sansa-inference-spark/target/sansa-inference-spark_2.11-0.4.1-SNAPSHOT.jar
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] Inference API - Parent ............................ SUCCESS [  0.434 s]
[INFO] Inference API - Common ............................ SUCCESS [ 30.243 s]
[INFO] Inference API - Tests ............................. SUCCESS [ 10.356 s]
[INFO] Inference API - Flink ............................. SUCCESS [ 19.952 s]
[INFO] Inference API - Spark ............................. SUCCESS [ 35.126 s]
[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESS
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 01:36 min
[INFO] Finished at: 2018-07-14T11:32:39+01:00
[INFO] Final Memory: 83M/789M
[INFO] ------------------------------------------------------------------------